﻿@using System.Web.UI.WebControls;

<table border="0" style="height:100%; width:100%;">
    <tr>
        <td valign="top">
            <b>@Html.Label("Pick Up : ")</b>
            <p></p>
            @{
                Html.RenderAction("PartialSupplierAdditional", "DCLInquiry", new { DeliveryNo = ViewData.Eval("DeliveryNo") }); 
            }
        </td>
        <td width="308" style="padding-left:10px;">
            <b>@Html.Label("Receiving : ")</b>
            <p></p>
            @Html.DevExpress().GridView(
                setting =>
                {            
                    setting.Name = "gridPickUpHeaderAdditional";
                    setting.Styles.Header.HorizontalAlign = HorizontalAlign.Center;
                    setting.Width = Unit.Percentage(100);
                    setting.CallbackRouteValues = new { Controller = "DCLInquiry", Action = "PartialPickUpAdditional" };
                    setting.KeyFieldName = "Manifest_Number";            
                    setting.Settings.VerticalScrollBarMode =  ScrollBarMode.Visible;
                    setting.Settings.VerticalScrollableHeight = 108;
                    setting.SettingsPager.Visible = false;
                    setting.SettingsBehavior.AllowSort = false;
                    setting.SettingsBehavior.AllowDragDrop = false;
          
                    setting.Columns.Add("ReceiveingDock", "Rcv Dock");
                    setting.Columns["ReceiveingDock"].CellStyle.HorizontalAlign = HorizontalAlign.Center;
                    setting.Columns["ReceiveingDock"].Width = Unit.Pixel(68);
                    
                    setting.Columns.AddBand(
                         settings =>
                         {
                             settings.Caption = "Arrival Time";
                             settings.HeaderStyle.HorizontalAlign = HorizontalAlign.Center;
                             settings.Columns.Add(
                                     dsetting =>
                                     {
                                         dsetting.Caption = "Plan";
                                         dsetting.FieldName = "ArrivalPlan";
                                         dsetting.HeaderStyle.HorizontalAlign = HorizontalAlign.Center;
                                         dsetting.CellStyle.HorizontalAlign = HorizontalAlign.Center;
                                         dsetting.Width = System.Web.UI.WebControls.Unit.Pixel(52);
                                         //dsetting.Width = Unit.Pixel(48);
                                         //dsetting.PropertiesEdit.DisplayFormatString = "HH:mm";
                                     }
                                 );
                             settings.Columns.Add(
                                     dsetting =>
                                     {
                                         dsetting.Caption = "Actual";
                                         dsetting.FieldName = "ArrivalActual";
                                         dsetting.HeaderStyle.HorizontalAlign = HorizontalAlign.Center;
                                         dsetting.CellStyle.HorizontalAlign = HorizontalAlign.Center;
                                         dsetting.Width = System.Web.UI.WebControls.Unit.Pixel(52);
                                         //dsetting.Width = Unit.Pixel(48);
                                         //dsetting.PropertiesEdit.DisplayFormatString = "HH:mm";
                                     }
                                 );
                         }
                         );
                    setting.Columns.Add("ArrivalStatus", "Achievement");
                    setting.Columns["ArrivalStatus"].CellStyle.HorizontalAlign = HorizontalAlign.Center;
                    setting.Columns["ArrivalStatus"].Width = Unit.Pixel(82);

                    setting.HtmlDataCellPrepared = (SendMailErrorEventHandler, e) =>
                    {
                        if (e.DataColumn.FieldName == "ArrivalStatus")
                        {

                            if (e.CellValue.ToString().Contains("Delay"))
                            {
                                e.Cell.BackColor = System.Drawing.Color.Red;
                                e.Cell.ForeColor = System.Drawing.Color.White;
                            }
                            //else if (e.CellValue.ToString().Contains("Not Yet Received"))
                            //{
                            //    e.Cell.BackColor = System.Drawing.Color.Yellow;
                            //}
                        }
                    }; 
                    
                }).Bind(ViewData["PickUp"]).GetHtml()
        </td>
    </tr>
</table>